Subject: Re: [EGIT PATCH] Showing commit info like the CVS plugin instead of tooltips.

From: Robin Rosenberg <[email-masked]>
Date: Wed, 9 Jan 2008 19:12:37 +0100

onsdagen den 9 januari 2008 skrev Roger C. Soares:
> Hi Robin,
> 
> > Looks nice. We probably want this into preferences and I'd still like the 
tooltop as an option. I.e. when you turn off
> > the other panes the tooltip should come back. What I'd really want is 
the "Press F2"-version, like the javadoc
> > tooltips, but that requires some more work (I guess, maybe only a little 
is needed).
> >   
> Showing the tooltips when you press F2 makes more sense to me. What I'm 
Actually not what I meant. Javadoc tooltips popup as a tooltip. When it is 
active you can press F2 to see more information,
copy text etc.

> For the search bar, I would like to make it visible by pressing ctrl-f 
> when the history panel has the focus. 
You're free to experiment. I'm quite fond of the search field in kmail. It is 
a textfield that filters mail on
header fields as I type.
> >> -	protected boolean hintShowDiffNow;
> >> +	/* private */boolean hintShowDiffNow;
> >>     
> > Why? What's wrong plain private?
> >   
> This is to improve performance and getting rid of the warning:
> Read access to enclosing field GitHistoryPage.appliedPatches is emulated 
> by a synthetic accessor method. Increasing its visibility will improve 
> your performance

Ah, should have noticed. That's ok.

I found a bug. When you travel down the histtory using arrow keys all of the 
sudden the commit info disappears.

-- robin